%define upstream_name    TermReadKey
%define upstream_version 2.38

Summary:    Term::ReadKey Perl module
%{?perl_default_filter}

Name:       perl-Term-ReadKey
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
License:    GPL
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl-devel
%description
This module, ReadKey, provides ioctl control for terminals so the
input modes can be changed (thus allowing reads of a single character
at a time), and also provides non-blocking reads of stdin, as well as
several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
# (tv) paralel build is broken:
make

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE example
%perl_vendorarch/*
%{_mandir}/*/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 2.380.0-8.mga9
+ Revision: 1862435
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.380.0-7.mga9
+ Revision: 1795456
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 2.380.0-6.mga9
+ Revision: 1726321
- rebuild for rebuild for perl-5.34.0

* Wed Jun 17 2020 umeabot <umeabot> 2.380.0-5.mga8
+ Revision: 1595281
- Rebuild for perl 5.32

* Wed Jun 17 2020 umeabot <umeabot> 2.380.0-4.mga8
+ Revision: 1594640
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.380.0-3.mga8
+ Revision: 1528796
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 2.380.0-2.mga8
+ Revision: 1432614
- rebuild for perl 5.30

* Sun Jan 06 2019 tv <tv> 2.380.0-1.mga7
+ Revision: 1349999
- update to 2.38

* Fri Sep 21 2018 umeabot <umeabot> 2.370.0-8.mga7
+ Revision: 1293857
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Use correct macro in file list

* Sat Aug 04 2018 tmb <tmb> 2.370.0-7.mga7
+ Revision: 1247432
- update filelist
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.370.0-5.mga7
+ Revision: 1166700
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 2.370.0-4.mga7
+ Revision: 1155457
- rebuild with perl w/o 64int suffix

* Wed Aug 30 2017 neoclust <neoclust> 2.370.0-3.mga7
+ Revision: 1148518
- Rebuild against new perl

* Wed Aug 30 2017 pterjan <pterjan> 2.370.0-2.mga7
+ Revision: 1148510
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 2.370.0-1.mga7
+ Revision: 1127946
- New version 2.37

* Sat Jul 22 2017 neoclust <neoclust> 2.330.0-5.mga7
+ Revision: 1127583
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.330.0-4.mga6
+ Revision: 1033938
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.330.0-3.mga6
+ Revision: 958073
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.330.0-2.mga6
+ Revision: 845308
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.330.0-1.mga6
+ Revision: 840716
- New version 2.33 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 2.320.0-4.mga5
+ Revision: 744954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.320.0-3.mga5
+ Revision: 686376
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 2.320.0-2.mga5
+ Revision: 632106
- fix build
+ pterjan <pterjan>
- Rebuild for perl 5.20
+ jquelin <jquelin>
- update to 2.32

* Fri Feb 07 2014 sander85 <sander85> 2.310.0-1.mga5
+ Revision: 585286
- update to 2.31

* Sat Oct 19 2013 umeabot <umeabot> 2.30-16.mga4
+ Revision: 524080
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 2.30-15.mga4
+ Revision: 429971
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.30-14.mga3
+ Revision: 373279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30-13.mga3
+ Revision: 251190
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.30-12.mga2
+ Revision: 103577
- perl 5.14

* Tue Jan 18 2011 blino <blino> 2.30-11.mga1
+ Revision: 23272
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-Term-ReadKey

